## busybox-power 1.19.0power1

=== Makefile ===
VERSION = 1
PATCHLEVEL = 19
SUBLEVEL = 0
EXTRAVERSION =
NAME = Unnamed

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

# Do not print "Entering directory ..."
MAKEFLAGS += --no-print-directory

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.o targets which finally
# turn into busybox), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifdef V
  ifeq ("$(origin V)", "command line")
    KBUILD_VERBOSE = $(V)
  endif
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

# Call sparse as part of compilation of C files
# Use 'make C=1' to enable sparse checking

ifdef C
  ifeq ("$(origin C)", "command line")
    KBUILD_CHECKSRC = $(C)
  endif
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir to specify directory of external module to build
# Old syntax make ... SUBDIRS=$PWD is still supported
# Setting the environment variable KBUILD_EXTMOD take precedence
ifdef SUBDIRS
  KBUILD_EXTMOD ?= $(SUBDIRS)
endif
ifdef M
  ifeq ("$(origin M)", "command line")
    KBUILD_EXTMOD := $(M)
  endif
endif


# kbuild supports saving output files in a separate directory.
# To locate output files in a separate directory two syntaxes are supported.
# In both cases the working directory must be the root of the kernel src.
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the directory
# where the output files shall be placed.
# export KBUILD_OUTPUT=dir/to/store/output/files/
# make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.


# KBUILD_SRC is set on invocation of make in OBJ directory
# KBUILD_SRC is not intended to be used by the regular user (for now)
ifeq ($(KBUILD_SRC),)

# OK, Make called in directory where kernel src resides
# Do we want to locate output files in a separate directory?
ifdef O
  ifeq ("$(origin O)", "command line")
    KBUILD_OUTPUT := $(O)
  endif
endif

# That's our default target when none is given on the command line
PHONY := _all
_all:

ifneq ($(KBUILD_OUTPUT),)
# Invoke a second make in the output directory, passing relevant variables
# check that the output directory actually exists
saved-output := $(KBUILD_OUTPUT)
KBUILD_OUTPUT := $(shell cd $(KBUILD_OUTPUT) && /bin/pwd)
$(if $(KBUILD_OUTPUT),, \
     $(error output directory "$(saved-output)" does not exist))

PHONY += $(MAKECMDGOALS)

$(filter-out _all,$(MAKECMDGOALS)) _all:
	$(if $(KBUILD_VERBOSE:1=),@)$(MAKE) -C $(KBUILD_OUTPUT) \
	KBUILD_SRC=$(CURDIR) \
	KBUILD_EXTMOD="$(KBUILD_EXTMOD)" -f $(CURDIR)/Makefile $@

# Leave processing to above invocation of make
skip-makefile := 1
endif # ifneq ($(KBUILD_OUTPUT),)
endif # ifeq ($(KBUILD_SRC),)

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(skip-makefile),)

# If building an external module we do not care about the all: rule
# but instead _all depend on modules
PHONY += all
ifeq ($(KBUILD_EXTMOD),)
_all: all
else
_all: modules
endif

srctree		:= $(if $(KBUILD_SRC),$(KBUILD_SRC),$(CURDIR))
TOPDIR		:= $(srctree)
# FIXME - TOPDIR is obsolete, use srctree/objtree
objtree		:= $(CURDIR)
src		:= $(srctree)
obj		:= $(objtree)

VPATH		:= $(srctree)$(if $(KBUILD_EXTMOD),:$(KBUILD_EXTMOD))

export srctree objtree VPATH TOPDIR


# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile

CROSS_COMPILE ?=
# bbox: we may have CONFIG_CROSS_COMPILER_PREFIX in .config,
# and it has not been included yet... thus using an awkward syntax.
ifeq ($(CROSS_COMPILE),)
CROSS_COMPILE := $(shell grep ^CONFIG_CROSS_COMPILER_PREFIX .config 2>/dev/null)
CROSS_COMPILE := $(subst CONFIG_CROSS_COMPILER_PREFIX=,,$(CROSS_COMPILE))
CROSS_COMPILE := $(subst ",,$(CROSS_COMPILE))
#")
endif

# SUBARCH tells the usermode build what the underlying arch is.  That is set
# first, and if a usermode build is happening, the "ARCH=um" on the command
# line overrides the setting of ARCH below.  If a native build is happening,
# then ARCH is assigned, getting whatever value it gets normally, and
# SUBARCH is subsequently ignored.

ifneq ($(CROSS_COMPILE),)
SUBARCH := $(shell echo $(CROSS_COMPILE) | cut -d- -f1)
else
SUBARCH := $(shell uname -m)
endif
SUBARCH := $(shell echo $(SUBARCH) | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ \
					 -e s/arm.*/arm/ -e s/sa110/arm/ \
					 -e s/s390x/s390/ -e s/parisc64/parisc/ \
					 -e s/ppc.*/powerpc/ -e s/mips.*/mips/ )

ARCH ?= $(SUBARCH)

# Architecture as present in compile.h
UTS_MACHINE := $(ARCH)

# SHELL used by kbuild
CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

# 	Decide whether to build built-in, modular, or both.
#	Normally, just do built-in.

KBUILD_MODULES :=
KBUILD_BUILTIN := 1

#	If we have only "make modules", don't compile built-in objects.
#	When we're building modules with modversions, we need to consider
#	the built-in objects during the descend as well, in order to
#	make sure the checksums are uptodate before we record them.

ifeq ($(MAKECMDGOALS),modules)
  KBUILD_BUILTIN := $(if $(CONFIG_MODVERSIONS),1)
endif

#	If we have "make <whatever> modules", compile modules
#	in addition to whatever we do anyway.
#	Just "make" or "make all" shall build modules as well

ifneq ($(filter all _all modules,$(MAKECMDGOALS)),)
  KBUILD_MODULES := 1
endif

ifeq ($(MAKECMDGOALS),)
  KBUILD_MODULES := 1
endif

export KBUILD_MODULES KBUILD_BUILTIN
export KBUILD_CHECKSRC KBUILD_SRC KBUILD_EXTMOD

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed.
# If it is set to "silent_", nothing wil be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(findstring s,$(MAKEFLAGS)),)
  quiet=silent_
endif

export quiet Q KBUILD_VERBOSE


# Look for make include files relative to root of kernel src
MAKEFLAGS += --include-dir=$(srctree)

HOSTCC  	= gcc
HOSTCXX  	= g++
HOSTCFLAGS	:=
HOSTCXXFLAGS	:=
# We need some generic definitions
include $(srctree)/scripts/Kbuild.include

HOSTCFLAGS	+= $(call hostcc-option,-Wall -Wstrict-prototypes -O2 -fomit-frame-pointer,)
HOSTCXXFLAGS	+= -O2

# For maximum performance (+ possibly random breakage, uncomment
# the following)

MAKEFLAGS += -rR

# Make variables (CC, etc...)

AS		= $(CROSS_COMPILE)as
CC		= $(CROSS_COMPILE)gcc
LD		= $(CC) -nostdlib
CPP		= $(CC) -E
AR		= $(CROSS_COMPILE)ar
NM		= $(CROSS_COMPILE)nm
STRIP		= $(CROSS_COMPILE)strip
OBJCOPY		= $(CROSS_COMPILE)objcopy
OBJDUMP		= $(CROSS_COMPILE)objdump
AWK		= awk
GENKSYMS	= scripts/genksyms/genksyms
DEPMOD		= /sbin/depmod
KALLSYMS	= scripts/kallsyms
PERL		= perl
CHECK		= sparse

CHECKFLAGS     := -D__linux__ -Dlinux -D__STDC__ -Dunix -D__unix__ -Wbitwise $(CF)
MODFLAGS	= -DMODULE
CFLAGS_MODULE   = $(MODFLAGS)
AFLAGS_MODULE   = $(MODFLAGS)
LDFLAGS_MODULE  = -r
CFLAGS_KERNEL	=
AFLAGS_KERNEL	=


# Use LINUXINCLUDE when you must reference the include/ directory.
# Needed to be compatible with the O= option
CFLAGS		:= $(CFLAGS)
# Added only to final link stage of busybox binary
CFLAGS_busybox	:= $(CFLAGS_busybox)
CPPFLAGS	:= $(CPPFLAGS)
AFLAGS		:= $(AFLAGS)
LDFLAGS		:= $(LDFLAGS)
LDLIBS		:=

# Read KERNELRELEASE from .kernelrelease (if it exists)
KERNELRELEASE = $(shell cat .kernelrelease 2> /dev/null)
KERNELVERSION = $(VERSION).$(PATCHLEVEL).$(SUBLEVEL)$(EXTRAVERSION)

export	VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION \
	ARCH CONFIG_SHELL HOSTCC HOSTCFLAGS CROSS_COMPILE AS LD CC \
	CPP AR NM STRIP OBJCOPY OBJDUMP MAKE AWK GENKSYMS PERL UTS_MACHINE \
	HOSTCXX HOSTCXXFLAGS LDFLAGS_MODULE CHECK CHECKFLAGS

export CPPFLAGS NOSTDINC_FLAGS LINUXINCLUDE OBJCOPYFLAGS LDFLAGS
export CFLAGS CFLAGS_KERNEL CFLAGS_MODULE
export AFLAGS AFLAGS_KERNEL AFLAGS_MODULE
export FLTFLAGS

# When compiling out-of-tree modules, put MODVERDIR in the module
# tree rather than in the kernel tree. The kernel tree might
# even be read-only.
export MODVERDIR := $(if $(KBUILD_EXTMOD),$(firstword $(KBUILD_EXTMOD))/).tmp_versions

# Files to ignore in find ... statements

RCS_FIND_IGNORE := \( -name SCCS -o -name BitKeeper -o -name .svn -o -name CVS -o -name .pc -o -name .hg -o -name .git \) -prune -o
export RCS_TAR_IGNORE := --exclude SCCS --exclude BitKeeper --exclude .svn --exclude CVS --exclude .pc --exclude .hg --exclude .git

# ===========================================================================
# Rules shared between *config targets and build targets

# Basic helpers built in scripts/
PHONY += scripts_basic
scripts_basic:
	$(Q)$(MAKE) $(build)=scripts/basic

# To avoid any implicit rule to kick in, define an empty command.
scripts/basic/%: scripts_basic ;

# This target generates Kbuild's and Config.in's from *.c files
PHONY += gen_build_files
gen_build_files: $(wildcard $(srctree)/*/*.c) $(wildcard $(srctree)/*/*/*.c)
	$(Q)$(srctree)/scripts/gen_build_files.sh $(srctree) $(objtree)

# bbox: we have helpers in applets/
# we depend on scripts_basic, since scripts/basic/fixdep
# must be built before any other host prog
PHONY += applets_dir
applets_dir: scripts_basic gen_build_files
	$(Q)$(MAKE) $(build)=applets

applets/%: applets_dir ;

PHONY += outputmakefile
# outputmakefile generates a Makefile in the output directory, if using a
# separate output directory. This allows convenient use of make in the
# output directory.
outputmakefile:
ifneq ($(KBUILD_SRC),)

## busybox-power 1.18.4power1

=== debian/changelog ===
busybox-power (1.18.4power1) unstable; urgency=low

  * New upstream release (BusyBox 1.18.4)
  * Import updated versions of Nokia's patches from Debian Sid 
  * Port Nokia's patches which aren't in upstream
  * Add patch to suppress "sh: bad number" messages when testing uninitialized variables in scripts
  * Make ash save 100 lines of history instead of just 15
  * Update Maemo's busybox configuration file to reflect the changed options available in upstream
  * Fix unicode issue with the new BusyBox configuration
  * Fix DNS resolving issue with the new BusyBox configuration
  * Include scripts to dynamically create symlinks upon installation instead of hardcoding them

 -- Dennis Groenen <dennis_groenen@hotmail.com>  Fri,  6 May 2011 22:16:20 +0200

busybox (3:1.10.2.legal-1osso30+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 3:1.10.2.legal-1osso30+0m5

 -- Lyubimkin Eugene <ext-lyubimkin.eugene@nokia.com>  Fri, 12 Mar 2010 10:49:27 +0200

busybox (3:1.10.2.legal-1osso30) unstable; urgency=low

  * Fixes: NB#160158 - Device doesn't boot up after 1.1.1 -> 1.2 SSU

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Fri, 12 Mar 2010 10:11:20 +0200

busybox (3:1.10.2.legal-1osso29) unstable; urgency=low

  * Fixes: NB#157159 -  Enable ar in busybox 

 -- Eugene Lyubimkin <ext-lyubimkin.eugene@nokia.com>  Tue, 02 Mar 2010 11:09:43 +0200

busybox (3:1.10.2.legal-1osso26) unstable; urgency=low

  * Enable more fance tar features. Fixes: NB#124832.

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Mon, 29 Jun 2009 15:32:56 +0300

busybox (3:1.10.2.legal-1osso25) unstable; urgency=low

  * Call telinit to facilitate proper shutdown/reboot. Fixes: NB#120283.

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Wed, 24 Jun 2009 14:41:13 +0300

busybox (3:1.10.2.legal-1osso24) unstable; urgency=low

  * Don't follow symlinks for -l or -s in ls. Fixes: NB#120999.

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Mon, 15 Jun 2009 12:55:17 +0300

busybox (3:1.10.2.legal-1osso23) unstable; urgency=low

  * Enable more options for pidof. Fixes: NB#112823.

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Thu, 23 Apr 2009 16:10:24 +0300

busybox (3:1.10.2.legal-1osso22) unstable; urgency=low

  * Remove 3 second sleep()s from sfdisk.

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Thu, 23 Apr 2009 11:32:08 +0300

busybox (3:1.10.2.legal-1osso21) unstable; urgency=low

  * Drop dependencies to symlink packages. Fixes: NB#86011.

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Wed, 01 Apr 2009 14:14:32 +0300

busybox (3:1.10.2.legal-1osso20) unstable; urgency=low

  * Merge sysvinit-maemo into busybox.
  * Remove last from provided symlinks. Fixes: NB#108560.
  * Patch to display RSS instead of VSZ in top. Fixes: NB#103591.
  * Patch to only update history upon shell exit. Fixes: NB#107770.

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Tue, 31 Mar 2009 14:28:47 +0300

busybox (3:1.10.2.legal-1osso19) unstable; urgency=low

  * Create alternatives directory if missing. Fixes: NB#107784.
  * Enable CONFIG_FEATURE_TAR_OLDGNU_COMPATIBILITY. Fixes: NB#107771.
  * Disable wtmp for applets. Fixes: NB#101256.

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Wed, 25 Mar 2009 10:28:05 +0200

busybox (3:1.10.2.legal-1osso18) unstable; urgency=low

  * Transition: make busybox depend on all packages with symlinks
  to facilitate NB#86011.
  * Symlinks moved to separate packages to match debian's counterparts.
  * Enable xargs support for quotes. Fixes: NB#96575.

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Wed, 18 Mar 2009 12:39:35 +0200

busybox (3:1.10.2.legal-1osso17) unstable; urgency=low

  * Add IPv6 support. Fixes: NB#98038.
  * Add fix for pidof/killall5. Fixes: NB#101755.

 -- Alexander Shishkin <ext-alexander.shishkin@nokia.com>  Tue, 10 Mar 2009 15:14:05 +0200

busybox (3:1.10.2.legal-1osso16) unstable; urgency=low

  * Added CONFIG_CLEAR and CONFIG_RESET to config.maemo
  * Added ncurses-bin to Provides/Replaces/Conflicts. Fixes: NB#92440

 -- Turo Janka <ext-turo.1.janka@nokia.com>  Thu, 12 Feb 2009 12:50:42 +0200

busybox (3:1.10.2.legal-1osso15) unstable; urgency=low

  * Removed CONFIG_FEATURE_GUNZIP_UNCOMPRESS from config.maemo
  * Added CONFIG_UNCOMPRESS to config.maemo. Fixes: NB#98035

 -- Turo Janka <ext-turo.1.janka@nokia.com>  Wed, 11 Feb 2009 16:08:12 +0200

busybox (3:1.10.2.legal-1osso14) unstable; urgency=low
  
  * Fixes time command segfault. Fixes: NB#98230
 
 -- Turo Janka <ext-turo.1.janka@nokia.com>  Tue, 21 Jan 2009 15:48:12 +0200

busybox (3:1.10.2.legal-1osso13) unstable; urgency=low

  * Enable more tools. Fixes: NB#98035

 -- Turo Janka <ext-turo.1.janka@nokia.com>  Tue, 20 Jan 2009 15:18:12 +0200

busybox (3:1.10.2.legal-1osso12) unstable; urgency=low

  * Enable MD5SUM and FEATURE_MD5_SHA1_SUM_CHECK. Fixes: NB#95950

 -- Turo Janka <ext-turo.1.janka@nokia.com>  Tue, 20 Jan 2009 11:16:20 +0200

busybox (3:1.10.2.legal-1osso11) unstable; urgency=low

  * Enable CONFIG_LFS. Fixes: NB#95830

 -- Turo Janka <ext-turo.1.janka@nokia.com>  Tue, 13 Jan 2009 15:26:23 +0200

busybox (3:1.10.2.legal-1osso10) unstable; urgency=low

  * Enable CONFIG_FEATURE_SORT_BIG. Fixes: NB#90925

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 27 Oct 2008 12:20:50 +0200

busybox (3:1.10.2.legal-1osso9) unstable; urgency=low

  * Disable runlevel, using a script from mini-rc

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Mon, 27 Oct 2008 11:54:48 +0200

busybox (3:1.10.2.legal-1osso8) unstable; urgency=low

  * Added busybox-zero-ifr.ifr_hwaddr.sa_data.patch
    Fixes: NB#89189

 -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 17 Oct 2008 15:38:53 +0300

busybox (3:1.10.2.legal-1osso7) unstable; urgency=low

  * Reverting the utilities, it breaks R&D images
  * Revert "enabled xargs -0 (265 bytes)"


=== debian/control ===
Source: busybox-power
Priority: optional
Section: utils
Maintainer: Dennis Groenen <dennis_groenen@hotmail.com>
XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=72801
XSBC-Original-Maintainer: Yauheni Kaliuta <yauheni.kaliuta@nokia.com>
Build-Depends: debhelper (>> 5), lsb-release, python, quilt
Standards-Version: 3.7.3

Package: busybox-power
Architecture: armel
Depends: ${shlibs:Depends}, busybox (= 3:1.10.2.legal-1osso30+0m5)
XB-Maemo-Display-Name: Enhanced BusyBox shell (busybox-power)
Description: Tiny utilities for small and embedded systems - enhanced package
 BusyBox combines tiny versions of many common UNIX utilities into a single
 small executable. It is the default shell used in Maemo. This package 
 replaces the default BusyBox executable with the latest upstream version.
 Also, this package is built with a lot more options/utilities enabled.
 .
 This package won't overwrite any existing symlinks and binaries providing
 the same functionality (like GNU tar if installed/symlinked).
 .
 Extra utilities supported besides those which are already compiled in the
 default BusyBox shell:
 bunzip2 bzcat bzip2 cpio cttyhack dnsdomainname dumpkmap ed fbset fdflush hush
 ip ipaddr iplink iproute iprule mountpoint mt nc pipe_progress popmaildir pscan
 usleep blockdev bootchartd crond fdisk ifenslave ip iptunnel klogd loadkmap
 logread makedevs mdev nbd-client raidautorun setconsole sulogin sysctl syslogd
 vconfig adjtimex arping base64 beep brctl cal catv chpst chrt crontab cryptpw dc
 devmem diff dos2unix dumpleases eject envdir envuidgid ether-wake fdformat
 fgconsole flock freeramdisk ftpget ftpput hexdump ionice iostat ipcalc last
 length less linux32 linux64 loadfont lpd lpq lpr lzcat lzma lzop lzopcat
 makemime man microcom mkpasswd mpstat nmeter patch pmap readahead reformime
 resize rev rpm rpm2cpio rtcwake runsv runsvdir rx script scriptreplay setarch
 setfont setuidgid showkey smemcap softlimit strings sv svlogd tcpsvd telnet tftp
 timeout traceroute traceroute6 ttysize udhcpc udpsvd unix2dos unlzma unlzop unxz
 unzip uudecode uuencode vlock volname wall xz xzcat ar acpid add-shell addgroup
 adduser arp chat delgroup deluser dhcprelay dnsd fakeidentd ftpd hdparm httpd
 ifplugd inetd lspci ntpd rdate rdev readprofile remove-shell sendmail sha256sum
 sha512sum telnetd tftpd tunctl udhcpd watchdog
 .
 This package is supposed to be installed in addition to the stock BusyBox
 package. Do not remove the stock BusyBox package.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
 d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAACYtJREFUeNrUWkurZUcVXvXY
 59zbtyXpICEiaFrJQFDo6CDOHAi2UQdOFBw4CAqCDhU0DuIPEBtCRupIBxk4
 MBMHgpIMnChE1OAD2uADEkFpUM9z710vv7Wq6ty6u09f0+nb3Tcb6u7Hqb33
 96361qq1al/1vscfp+Ac3fjH6+S9v3owP/iYMfqyMaabz2ax62wwtnPDOPgY
 ok8pxpQoKKW9UhRC8IFI+UQ4ds7HFKLW1mujffDexRi9MXiGMQG34uborbEO
 515pckopZ7RxuN8RyflgtBrxfKeNGlNMY0ppxItGUnowSm3Rr7ezubfdnCwe
 SuMw2EsPPvi9x957+SlrNAXvCCTIWkMKvQP6JEYdorQoG6gkUIpo+SgkStyV
 SQb0RwOolACOQdBIlAaQ7XGtT4q2lGhDDCjRGsZYg8Qa71sR75WSPe5Z411o
 doPfN1rrDs/q8MaVVt5Z5T1dnM++8sEPXHnqXzduxOuv/iVutlsGKeCxJbyE
 jxN2uJc3FfkcJzHviBlG5sq/kUq8D4qvyzWKpQ/fzn94H/Mzub88L0hfJc/w
 OPc8Ijh3is8xUhqIMZr+woULscMwRmjCwoDdY+959xcXiwX9/KVfRAyV0gYD
 xTBVeY2mjJuvAR3+aMrgjPRQKtVzrRSDwE1Kl1uEuBADKCX34g5VzKLk/ihk
 lQBl8CKt3IQA5MMEICttPIY5XDw6glSVspv15tGLRxcu/+rl3/D4q9lsJtjl
 1WyTA7TxBKRYfjZEO2IMTufRosxdVcoCPvEIQTaBrYlLjuWFH0Z0Y433LC3Y
 occ5a3ybz7EvmjdaD9IfvudG57d6G4E12fmse+d6tT76z38XcC6TwcOdEtvj
 EGL7jif/fU3x1yaDmWejNuCpEI4ilZT3AFPAwifgA9gPuGMIFAESfqDUBpw2
 inWuVNY+6z4l7NkX1ApWgI/QlvuD/qDZoWMEeRskaODBlmJ4oB9HGoYxycCy
 1R9OavYtT92nweIRotnn4ZkvBhqfRvc/oM8MUJIQqC00zeemWL/FutRnq8Jp
 uam0BtA1yC5x8xLHS7xa9sREEjsy+ogTg4CiASQGpZVDjBMJcTDEEajEeDSM
 DjxCHm/s5s96mn0W0ekF3PZ2eSR1n0qk3+/U5koXaQU9G6q6nwCXcMgWF/CF
 QAVfQHGESSsmQHTcUiYi0QfH6K8YfF8iGEASnBjagPGgp4SoTdra7tAhEnFc
 ZIdVhxD3h3GI1/afgcV/B/pfsnG4plP8pU7q0s76twTPsbyAL3quwKUJUIBa
 4HiBvrLHNd6DFI9MqpbvAWsANifPR2iGUnA6JDiwRAcLz547FwQThihxpE5/
 Bol3YSS+G0g/iuuPQLxftUHEb9HRngDvmv0O/EQ2FfyqtTg3oBGrcyvgNzje
 8nMYKT8XGANvmGhzGG68DzIKc4fJNAmDHC+Gr1kKf1Q0/0Kk7qOJDl/y+vAn
 mDyfwOj5E1av4MVJG/CnAW8tn7XfWL6A7xvwwO134GmycUye8+y6+9FCG7/V
 kbW+eRJzxcsYlb+q1H0yqQs/852+Ehm2b2QzNpavkmkJTMHv9F4IrCqBBvzY
 gOe5aS94IYDOMw7R0oH/HqRkPhJJfyiS+yl+/j3i2FXr+meQ+7wN/J5MWlKE
 4xFgy/eNbE61fNF7Bc9EBDzA7sDnWRfx3rlTwYu9Met2nNmIvj1m0YeSPXzR
 6fRPIHiii3LrDO49pzyNDSecdtij+XUhsdqneb7GwIvmN9wYPPb8nLHMwCyZ
 WHCdull0xghIHgPBk0l/V3H8tlHzrwd9dN1ZhmA/Hg/0OyD26xTdj2Eplo1T
 rNFW8xm8Bngrx8tCYNGCLwR2Dgvw/RQ8W/6NgBcCmH2ZgJd8RkmESeM3kW+8
 orS9GpX9RNTxFRXG57RzP9Tr9Lra6IcxIg8kg/s4XYXXgHqNSivI6QZAqx34
 VRvjJ5bvS7gdVc6Dbgt8HgEE1JRvyK2kYP55ONDzOsyv+QN3zazia5KbsIV6
 +zn/UPflcKmZiVPJg8i9oF8dv2H/pDqRUXXYKhukxVFi/EQ2bwq8EAB4Sfkl
 rc0kJLNRs2zR8Rm7gKs6nDN4KS7cD8xr/kf6b6mJOJK3ECzb078xV6xvBb5G
 GgbPDssZprxn5Een2wIvBJgxW6CkxabMEqk4aYBrSk7DecjOWVe0TQu1Po44
 kAVxZEFMZ+mYYwKtbJhkBY/mKni2fDoxPd0mAS73mqSspgmZgJYYz+YZdpGG
 HVW3sT6tbxE6V8XyN4Fnh71T8DmMah13TpzTYt0QqOBrmGzj/KbG8X2hskab
 Ap5lw5rnRGbkephLzjsFn30AD2IHypUThJJ9IRTnOmn5mg4XSxfwiwJ20ZCR
 jHKqebZ8BQ/Nx9MmqDdMQAoOPLg+rJRSgXaVEg3T3KZoejVNhat8JrKpSRk7
 rMxObPmzAL8jUPKZpgTMs+wey68ay7fpwLLR/qa1fMlr7gr4EwSK5WNOV2VE
 hgJ6O3HQ3ew6Ab8rRKrm26SMl18APp0l+ErAFZ2rov3YyGczyWv2WX65J5c/
 kVEiIYu3SofvmECxds/1sKQGx/l967DLKfg9hQjLpm9yeV/Ah7sFvh2BPvuv
 LJz4Rj7VYZdTy59SRY37qii6S5tNOaPcFgkxCY5KbMl1ydX3hsry+02yKRnl
 /y1Ezm4EkqzZMAj2Xl0WWLcFaAt+57CTdJjJD/cDfK0HhryEsdvGMiInnHYP
 +Dq79jU1aMBHukebLbPkuoTRVB24AbwsSx7rPYVIXzPKJh1OdA83Wxx4nYNQ
 DqGs7zJhtaFyva+KmoCPdI83duKq91iW0nn9vs0qV00hcqsSMNxry7cFzaaA
 5HqA1/T71KyiVctPqig3qV/vC/hcD2QJLWsWWvKfOgKbAn5qeV+qqPhmqqiz
 deJs8WVd6yyzabU6E7jJ8qUQSfcbfIlCPOuqKiH+gtKu72wby0sJWAqRcwH+
 mECCD+yqMLVbpGoKEUmHzxv4UlIalEZhjVosmKT5i2OtA1rLn2kVdbYE+IOS
 0uyknEp7HfUYVeQlQ65fRTZ3oxA5w2xUeaNpw18tEf99UFHWf/iLSLH8uQVf
 RyBARltrDaaEEPhbbI408jURmh/TeQWf10ZtF9iRu86mAAImSi4WeLklr5ad
 X/BCoOsMf/cdZ11HKJ/4HwdiMHyg0/2cYW8nG+X1IDefzxUI8P9ySP2KITj3
 4PMnpqT4ozZrP3bWxq7rUlmle0tsVv6xgWkg/Bg7IxPr/2K8Nbb/CTAAF12f
 5l7y6xMAAAAASUVORK5CYII=

## busybox-power 1.18.4power2

=== debian/changelog ===
busybox-power (1.18.4power2) unstable; urgency=low

  * Update debian/control file

 -- Dennis Groenen <dennis_groenen@hotmail.com>  Sat,  7 May 2011 16:50:56 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: busybox-power
-Priority: optional
-Section: utils
+Priority: extra
+Section: user/utilities
 Maintainer: Dennis Groenen <dennis_groenen@hotmail.com>
 XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=72801
 XSBC-Original-Maintainer: Yauheni Kaliuta <yauheni.kaliuta@nokia.com>
@@ -8,13 +8,13 @@
 Standards-Version: 3.7.3
 
 Package: busybox-power
-Architecture: armel
+Architecture: any
 Depends: ${shlibs:Depends}, busybox (= 3:1.10.2.legal-1osso30+0m5)
-XB-Maemo-Display-Name: Enhanced BusyBox shell (busybox-power)
+XB-Maemo-Display-Name: Enhanced BusyBox shell
 Description: Tiny utilities for small and embedded systems - enhanced package
  BusyBox combines tiny versions of many common UNIX utilities into a single
  small executable. It is the default shell used in Maemo. This package 
- replaces the default BusyBox executable with the latest upstream version.
+ overwrites the default BusyBox executable with the latest upstream version.
  Also, this package is built with a lot more options/utilities enabled.
  .
  This package won't overwrite any existing symlinks and binaries providing
@@ -38,9 +38,6 @@
  adduser arp chat delgroup deluser dhcprelay dnsd fakeidentd ftpd hdparm httpd
  ifplugd inetd lspci ntpd rdate rdev readprofile remove-shell sendmail sha256sum
  sha512sum telnetd tftpd tunctl udhcpd watchdog
- .
- This package is supposed to be installed in addition to the stock BusyBox
- package. Do not remove the stock BusyBox package.
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
  d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAACYtJREFUeNrUWkurZUcVXvXY

## busybox-power 1.18.4power3

=== debian/changelog ===
busybox-power (1.18.4power3) unstable; urgency=low

  * Add patch to parse the complete hostname when set from a file

 -- Dennis Groenen <dennis_groenen@hotmail.com>  Mon,  9 May 2011 21:42:48 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 Package: busybox-power
 Architecture: any
-Depends: ${shlibs:Depends}, busybox (= 3:1.10.2.legal-1osso30+0m5)
+Depends: ${shlibs:Depends}, busybox (>= 3:1.10.2.legal-1osso30+0m5)
 XB-Maemo-Display-Name: Enhanced BusyBox shell
 Description: Tiny utilities for small and embedded systems - enhanced package
  BusyBox combines tiny versions of many common UNIX utilities into a single
@@ -37,7 +37,7 @@
  unzip uudecode uuencode vlock volname wall xz xzcat ar acpid add-shell addgroup
  adduser arp chat delgroup deluser dhcprelay dnsd fakeidentd ftpd hdparm httpd
  ifplugd inetd lspci ntpd rdate rdev readprofile remove-shell sendmail sha256sum
- sha512sum telnetd tftpd tunctl udhcpd watchdog
+ sha512sum telnetd tftpd tunctl udhcpd watchdog zcip
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
  d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAACYtJREFUeNrUWkurZUcVXvXY

=== debian/rules ===
#!/usr/bin/make -f

SHELL := sh -e
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
SOURCE := $(shell dpkg-parsechangelog | sed -ne 's,^Source: *\(.*\)$$,\1,p')
VERSION_DEBIAN := $(shell dpkg-parsechangelog | sed -ne 's,^Version: *\(.*\)$$,\1,p')
VERSION := $(shell echo "$(VERSION_DEBIAN)" | sed -e 's,^[^:]*:,,' -e 's,-[^-]*$$,,')
 
BUILD_DIR = debian/build
STAMPS_DIR = debian/stamps

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CONFIG_DEBUG = y
endif
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
THUMB := -mthumb
endif

source: $(STAMPS_DIR)/source

$(STAMPS_DIR)/source: SOURCE_FILES = $(filter-out debian, $(wildcard * .[^.]*))
$(STAMPS_DIR)/source: DIR = $(BUILD_DIR)/source
$(STAMPS_DIR)/source:
	dh_testdir
	rm -rf '$(DIR)'
	mkdir -p $(STAMPS_DIR) '$(DIR)'
	cp -al $(SOURCE_FILES) '$(DIR)'
	cd $(DIR); QUILT_PATCHES=$(CURDIR)/debian/patches quilt --quiltrc /dev/null push -a || test $$? = 2
	touch $@

setup: $(STAMPS_DIR)/setup_maemo

$(STAMPS_DIR)/setup_%: SOURCE_DIR=$(BUILD_DIR)/source
$(STAMPS_DIR)/setup_%: DIR=$(BUILD_DIR)/build_$*
$(STAMPS_DIR)/setup_%: $(STAMPS_DIR)/source
	dh_testdir
	rm -rf '$(DIR)'
	cp -al '$(SOURCE_DIR)' '$(DIR)'
	cp debian/config/config.$* '$(DIR)'/.config
	make -C '$(DIR)' oldconfig
	touch $@

build: $(STAMPS_DIR)/build_maemo

$(STAMPS_DIR)/build_%: DIR=$(BUILD_DIR)/build_$*
$(STAMPS_DIR)/build_%: $(STAMPS_DIR)/setup_%
	dh_testdir
	make -C '$(DIR)' THUMB=$(THUMB) busybox docs/busybox.1 BB_EXTRA_VERSION="$(shell lsb_release -is) $(VERSION_DEBIAN)"
	make -C '$(DIR)' busybox.links
	touch $@

$(BUILD_DIR) $(STAMPS_DIR):
	@[ -d $@ ] || mkdir $@

maintainerclean:
	rm -rf $(filter-out .svn debian, $(wildcard * .[^.]*))

clean:
	dh_testdir
	rm -rf $(BUILD_DIR) $(STAMPS_DIR)
	dh_clean

binary-indep:

binary-arch: DIR = $(BUILD_DIR)/build_maemo
binary-arch: DH_OPTIONS = -pbusybox-power
binary-arch: $(STAMPS_DIR)/build_maemo
	dh_testdir
	dh_testroot
	dh_clean -k -d
	install -D -m644 debian/scripts/functions debian/busybox-power/opt/busybox-power/functions
	install -D -m755 debian/scripts/install-binary.sh debian/busybox-power/opt/busybox-power/install-binary.sh
	install -D -m755 debian/scripts/uninstall-binary.sh debian/busybox-power/opt/busybox-power/uninstall-binary.sh
	install -D -m755 $(DIR)/busybox_unstripped debian/busybox-power/opt/busybox-power/busybox.power

	$(MAKE) -f debian/rules binary-arch_all

binary-arch_all:
	dh_installdirs
	dh_installdocs -pbusybox-power
	dh_installchangelogs -pbusybox-power
	dh_strip -pbusybox-power
	dh_compress -pbusybox-power

	dh_link
	dh_fixperms
	dh_installdeb

	dh_shlibdeps -pbusybox-power
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

DIR_ORIG = ../orig/$(SOURCE)-$(VERSION)
TAR_ORIG_NAME = $(SOURCE)_$(VERSION).orig.tar.gz
TAR_ORIG = $(firstword $(wildcard ../$(TAR_ORIG_NAME)) $(wildcard ../orig/$(TAR_ORIG_NAME)))

orig: $(DIR_ORIG)
	rsync --delete --exclude debian --exclude .svk --exclude .svn --link-dest=$(DIR_ORIG)/ -a $(DIR_ORIG)/ .

$(DIR_ORIG):
ifeq ($(TAR_ORIG),)
	$(error Cannot find orig tarball $(TAR_ORIG_NAME))
else
	mkdir -p ../orig
	tar -C ../orig -xzf $(TAR_ORIG)
endif

## busybox-power 1.18.4power4

=== debian/changelog ===
busybox-power (1.18.4power4) unstable; urgency=low

  * Update postinst scripts to not depend on coreutils
  * Update debian/control file

 -- Dennis Groenen <dennis_groenen@hotmail.com>  Mon, 16 May 2011 17:03:25 +0200

=== debian/control ===
--- 
+++ 
@@ -9,35 +9,39 @@
 
 Package: busybox-power
 Architecture: any
-Depends: ${shlibs:Depends}, busybox (>= 3:1.10.2.legal-1osso30+0m5)
+Depends: ${shlibs:Depends}
 XB-Maemo-Display-Name: Enhanced BusyBox shell
 Description: Tiny utilities for small and embedded systems - enhanced package
- BusyBox combines tiny versions of many common UNIX utilities into a single
- small executable. It is the default shell used in Maemo. This package 
- overwrites the default BusyBox executable with the latest upstream version.
- Also, this package is built with a lot more options/utilities enabled.
+ BusyBox combines tiny versions of many common UNIX utilities into a
+ single small executable. It is the default shell used in Maemo. This
+ package overwrites the default BusyBox executable with the latest upstream
+ version. Also, this BusyBox is built with a lot more options/utilities
+ enabled.
  .
  This package won't overwrite any existing symlinks and binaries providing
  the same functionality (like GNU tar if installed/symlinked).
  .
  Extra utilities supported besides those which are already compiled in the
  default BusyBox shell:
- bunzip2 bzcat bzip2 cpio cttyhack dnsdomainname dumpkmap ed fbset fdflush hush
- ip ipaddr iplink iproute iprule mountpoint mt nc pipe_progress popmaildir pscan
- usleep blockdev bootchartd crond fdisk ifenslave ip iptunnel klogd loadkmap
- logread makedevs mdev nbd-client raidautorun setconsole sulogin sysctl syslogd
- vconfig adjtimex arping base64 beep brctl cal catv chpst chrt crontab cryptpw dc
- devmem diff dos2unix dumpleases eject envdir envuidgid ether-wake fdformat
- fgconsole flock freeramdisk ftpget ftpput hexdump ionice iostat ipcalc last
- length less linux32 linux64 loadfont lpd lpq lpr lzcat lzma lzop lzopcat
- makemime man microcom mkpasswd mpstat nmeter patch pmap readahead reformime
- resize rev rpm rpm2cpio rtcwake runsv runsvdir rx script scriptreplay setarch
- setfont setuidgid showkey smemcap softlimit strings sv svlogd tcpsvd telnet tftp
- timeout traceroute traceroute6 ttysize udhcpc udpsvd unix2dos unlzma unlzop unxz
- unzip uudecode uuencode vlock volname wall xz xzcat ar acpid add-shell addgroup
- adduser arp chat delgroup deluser dhcprelay dnsd fakeidentd ftpd hdparm httpd
- ifplugd inetd lspci ntpd rdate rdev readprofile remove-shell sendmail sha256sum
- sha512sum telnetd tftpd tunctl udhcpd watchdog zcip
+ bunzip2 bzcat bzip2 cpio cttyhack dnsdomainname dumpkmap ed fbset
+ fdflush hush ip ipaddr iplink iproute iprule mountpoint mt nc
+ pipe_progress popmaildir pscan usleep blockdev bootchartd crond
+ fdisk ifenslave ip iptunnel klogd loadkmap logread makedevs mdev
+ nbd-client raidautorun setconsole sulogin sysctl syslogd vconfig
+ adjtimex arping base64 beep brctl cal catv chpst chrt crontab
+ cryptpw dc devmem diff dos2unix dumpleases eject envdir envuidgid
+ ether-wake fdformat fgconsole flock freeramdisk ftpget ftpput
+ hexdump ionice iostat ipcalc last length less linux32 linux64
+ loadfont lpd lpq lpr lzcat lzma lzop lzopcat makemime man microcom
+ mkpasswd mpstat nmeter patch pmap readahead reformime resize rev rpm
+ rpm2cpio rtcwake runsv runsvdir rx script scriptreplay setarch setfont
+ setuidgid showkey smemcap softlimit strings sv svlogd tcpsvd telnet
+ tftp timeout traceroute traceroute6 ttysize udhcpc udpsvd unix2dos
+ unlzma unlzop unxz unzip uudecode uuencode vlock volname wall xz xzcat
+ ar acpid add-shell addgroup adduser arp chat delgroup deluser
+ dhcprelay dnsd fakeidentd ftpd hdparm httpd ifplugd inetd lspci ntpd
+ rdate rdev readprofile remove-shell sendmail sha256sum sha512sum
+ telnetd tftpd tunctl udhcpd watchdog zcip
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
  d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAACYtJREFUeNrUWkurZUcVXvXY

## busybox-power 1.18.4power5

=== debian/changelog ===
busybox-power (1.18.4power5) unstable; urgency=low

  * Add patch to make ps accept and ignore missing common options
  * Pull patch from BusyBox' git tree to make showkey work on any stdin
  * Change showkey's default option from -k to -a

 -- Dennis Groenen <dennis_groenen@hotmail.com>  Sat, 28 May 2011 14:39:55 +0200

## busybox-power 1.18.5power1

=== debian/changelog ===
busybox-power (1.18.5power1) unstable; urgency=low

  * New upstream release (BusyBox 1.18.5)

 -- Dennis Groenen <dennis_groenen@hotmail.com>  Mon, 13 Jun 2011 15:47:18 +0200

=== debian/control ===
--- 
+++ 
@@ -14,9 +14,9 @@
 Description: Tiny utilities for small and embedded systems - enhanced package
  BusyBox combines tiny versions of many common UNIX utilities into a
  single small executable. It is the default shell used in Maemo. This
- package overwrites the default BusyBox executable with the latest upstream
- version. Also, this BusyBox is built with a lot more options/utilities
- enabled.
+ package overwrites the default BusyBox executable with the latest 
+ upstream version. Also, this BusyBox is built with a lot more options/
+ utilities enabled.
  .
  This package won't overwrite any existing symlinks and binaries providing
  the same functionality (like GNU tar if installed/symlinked).

## busybox-power 1.18.5power2

=== debian/changelog ===
busybox-power (1.18.5power2) unstable; urgency=low

  * Add support for installation in Maemo's SDK
  * Cleanup and improve scripts

 -- Dennis Groenen <dennis_groenen@hotmail.com>  Sun,  3 Jul 2011 20:11:13 +0200

## busybox-power 1.18.5power3

=== debian/changelog ===
busybox-power (1.18.5power3) unstable; urgency=low

  * Apply workaround for bug #5317
  * Introduce new ash history buffer (fixes bugs #4174, #4175)
  * Update e-mail address

 -- Dennis Groenen <tj.groenen@gmail.com>  Sun, 31 Jul 2011 14:33:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: busybox-power
 Priority: extra
 Section: user/utilities
-Maintainer: Dennis Groenen <dennis_groenen@hotmail.com>
-XSBC-Bugtracker: http://talk.maemo.org/showthread.php?t=72801
+Maintainer: Dennis Groenen <tj.groenen@gmail.com>
+XSBC-Bugtracker: https://garage.maemo.org/tracker/?group_id=2216
 XSBC-Original-Maintainer: Yauheni Kaliuta <yauheni.kaliuta@nokia.com>
 Build-Depends: debhelper (>> 5), lsb-release, python, quilt
 Standards-Version: 3.7.3

## busybox-power 1.19.0power1

=== debian/changelog ===
busybox-power (1.19.0power1) unstable; urgency=low

  * New upstream release (BusyBox 1.19.0) (fixes bug #5978)
  * Split busybox into busybox and busybox_root (fixes bug #700)
  * Keep shell history in memory; do away with temporary file

 -- Dennis Groenen <tj.groenen@gmail.com>  Sun, 21 Aug 2011 13:52:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	cd $(DIR); QUILT_PATCHES=$(CURDIR)/debian/patches quilt --quiltrc /dev/null push -a || test $$? = 2
 	touch $@
 
-setup: $(STAMPS_DIR)/setup_maemo
+setup: $(STAMPS_DIR)/setup_busybox $(STAMPS_DIR)/setup_busybox_root
 
 $(STAMPS_DIR)/setup_%: SOURCE_DIR=$(BUILD_DIR)/source
 $(STAMPS_DIR)/setup_%: DIR=$(BUILD_DIR)/build_$*
@@ -41,7 +41,7 @@
 	make -C '$(DIR)' oldconfig
 	touch $@
 
-build: $(STAMPS_DIR)/build_maemo
+build: $(STAMPS_DIR)/build_busybox $(STAMPS_DIR)/build_busybox_root
 
 $(STAMPS_DIR)/build_%: DIR=$(BUILD_DIR)/build_$*
 $(STAMPS_DIR)/build_%: $(STAMPS_DIR)/setup_%
@@ -63,9 +63,11 @@
 
 binary-indep:
 
-binary-arch: DIR = $(BUILD_DIR)/build_maemo
-binary-arch: DH_OPTIONS = -pbusybox-power
-binary-arch: $(STAMPS_DIR)/build_maemo
+binary-arch: binary-arch_busybox binary-arch_busybox_root binary-arch_all
+
+binary-arch_busybox: DIR = $(BUILD_DIR)/build_busybox
+binary-arch_busybox: DH_OPTIONS = -pbusybox-power
+binary-arch_busybox: $(STAMPS_DIR)/build_busybox
 	dh_testdir
 	dh_testroot
 	dh_clean -k -d
@@ -74,7 +76,12 @@
 	install -D -m755 debian/scripts/uninstall-binary.sh debian/busybox-power/opt/busybox-power/uninstall-binary.sh
 	install -D -m755 $(DIR)/busybox_unstripped debian/busybox-power/opt/busybox-power/busybox.power
 
-	$(MAKE) -f debian/rules binary-arch_all
+binary-arch_busybox_root: DIR = $(BUILD_DIR)/build_busybox_root
+binary-arch_busybox_root: export DH_OPTIONS = -pbusybox-power
+binary-arch_busybox_root: $(STAMPS_DIR)/build_busybox_root
+	dh_testdir
+	dh_testroot
+	install -D -m755 $(DIR)/busybox_unstripped debian/busybox-power/bin/busybox_root
 
 binary-arch_all:
 	dh_installdirs

## busybox-power 1.19.0power2

=== debian/changelog ===
busybox-power (1.19.0power2) unstable; urgency=low

  * Enable ipv6 support in busybox_root

 -- Dennis Groenen <tj.groenen@gmail.com>  Tue, 23 Aug 2011 11:37:47 +0200

=== debian/control ===
--- 
+++ 
@@ -41,7 +41,8 @@
  ar acpid add-shell addgroup adduser arp chat delgroup deluser
  dhcprelay dnsd fakeidentd ftpd hdparm httpd ifplugd inetd lspci ntpd
  rdate rdev readprofile remove-shell sendmail sha256sum sha512sum
- telnetd tftpd tunctl udhcpd watchdog zcip
+ telnetd tftpd tunctl udhcpd watchdog zcip whois pstree pwdx groups
+ users setserial nameif ubirsvol
 XB-Maemo-Icon-26:
  iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAAGXRFWHRTb2Z0
  d2FyZQBBZG9iZSBJbWFnZVJlYWR5ccllPAAACYtJREFUeNrUWkurZUcVXvXY

## busybox-power 1.19.0power3

=== debian/changelog ===
busybox-power (1.19.0power3) unstable; urgency=low

  * Apply BusyBox 1.19.0 hotfixes

 -- Dennis Groenen <tj.groenen@gmail.com>  Thu, 25 Aug 2011 12:33:37 +0200

## busybox-power 1.19.2power1

=== debian/changelog ===
busybox-power (1.19.2power1) unstable; urgency=low

  * New upstream release (BusyBox 1.19.2)
  * Sync save history on exit patches with BusyBox git

 -- Dennis Groenen <tj.groenen@gmail.com>  Sat, 10 Sep 2011 17:48:03 +0200

## busybox-power 1.19.3power1

=== debian/changelog ===
busybox-power (1.19.3power1) unstable; urgency=low

  * New upstream release (BusyBox 1.19.3)
  * Update debian/control file

 -- Dennis Groenen <tj.groenen@gmail.com>  Sat, 29 Oct 2011 17:13:24 +0200

## busybox-power 1.19.3power2

=== debian/changelog ===
busybox-power (1.19.3power2) unstable; urgency=low

  * Merge busybox and busybox_root, set SUID bit on busybox
  * Synchronize patches with Debian Sid
  * Apply BusyBox 1.19.3 hotfixes

 -- Dennis Groenen <tj.groenen@gmail.com>  Tue, 22 Nov 2011 19:58:33 +0100

=== debian/rules ===
--- 
+++ 
@@ -29,7 +29,7 @@
 	cd $(DIR); QUILT_PATCHES=$(CURDIR)/debian/patches quilt --quiltrc /dev/null push -a || test $$? = 2
 	touch $@
 
-setup: $(STAMPS_DIR)/setup_busybox $(STAMPS_DIR)/setup_busybox_root
+setup: $(STAMPS_DIR)/setup_busybox
 
 $(STAMPS_DIR)/setup_%: SOURCE_DIR=$(BUILD_DIR)/source
 $(STAMPS_DIR)/setup_%: DIR=$(BUILD_DIR)/build_$*
@@ -41,7 +41,7 @@
 	make -C '$(DIR)' oldconfig
 	touch $@
 
-build: $(STAMPS_DIR)/build_busybox $(STAMPS_DIR)/build_busybox_root
+build: $(STAMPS_DIR)/build_busybox
 
 $(STAMPS_DIR)/build_%: DIR=$(BUILD_DIR)/build_$*
 $(STAMPS_DIR)/build_%: $(STAMPS_DIR)/setup_%
@@ -63,7 +63,7 @@
 
 binary-indep:
 
-binary-arch: binary-arch_busybox binary-arch_busybox_root binary-arch_all
+binary-arch: binary-arch_busybox binary-arch_all
 
 binary-arch_busybox: DIR = $(BUILD_DIR)/build_busybox
 binary-arch_busybox: DH_OPTIONS = -pbusybox-power
@@ -75,13 +75,6 @@
 	install -D -m755 debian/scripts/install-binary.sh debian/busybox-power/opt/busybox-power/install-binary.sh
 	install -D -m755 debian/scripts/uninstall-binary.sh debian/busybox-power/opt/busybox-power/uninstall-binary.sh
 	install -D -m755 $(DIR)/busybox_unstripped debian/busybox-power/opt/busybox-power/busybox.power
-
-binary-arch_busybox_root: DIR = $(BUILD_DIR)/build_busybox_root
-binary-arch_busybox_root: export DH_OPTIONS = -pbusybox-power
-binary-arch_busybox_root: $(STAMPS_DIR)/build_busybox_root
-	dh_testdir
-	dh_testroot
-	install -D -m755 $(DIR)/busybox_unstripped debian/busybox-power/bin/busybox_root
 
 binary-arch_all:
 	dh_installdirs

## busybox-power 1.19.3power3

=== debian/changelog ===
busybox-power (1.19.3power3) unstable; urgency=low

  * Enable Unicode support by default
  * Disable the SUID bit for now

 -- Dennis Groenen <tj.groenen@gmail.com>  Thu, 24 Nov 2011 20:31:21 +0100

## busybox-power 1.19.3power4

=== debian/changelog ===
busybox-power (1.19.3power4) unstable; urgency=low

  * Parse /etc/environment prior to applet launch
  * Update BusyBox 1.19.3 hotfixes
  * Set SUID bit on busybox

 -- Dennis Groenen <tj.groenen@gmail.com>  Thu, 12 Jan 2012 21:23:47 +0100

=== debian/rules ===
--- 
+++ 
@@ -75,6 +75,7 @@
 	install -D -m755 debian/scripts/install-binary.sh debian/busybox-power/opt/busybox-power/install-binary.sh
 	install -D -m755 debian/scripts/uninstall-binary.sh debian/busybox-power/opt/busybox-power/uninstall-binary.sh
 	install -D -m755 $(DIR)/busybox_unstripped debian/busybox-power/opt/busybox-power/busybox.power
+	install -D -m600 debian/scripts/environment debian/busybox-power/etc/environment
 
 binary-arch_all:
 	dh_installdirs

## busybox-power 1.19.3power5

=== debian/changelog ===
busybox-power (1.19.3power5) unstable; urgency=low

  * Make df's output more compatible with Maemo's stock df
  * Implement :p (go to previous file) in vi
  * Update BusyBox 1.19.3 hotfixes

 -- Dennis Groenen <tj.groenen@gmail.com>  Tue, 31 Jan 2012 16:50:22 +0100

## busybox-power 1.19.4power1

=== debian/changelog ===
busybox-power (1.19.4power1) unstable; urgency=low

  * New upstream release (BusyBox 1.19.4)
  * Clean up (un)installation scripts
  * Revert the whole SUID situation (reintroduces bug #700)
  * Support for -x (match whole line) in grep

 -- Dennis Groenen <tj.groenen@gmail.com>  Tue, 10 Apr 2012 18:33:24 +0200

## busybox-power 1.20.0power1

=== debian/changelog ===
busybox-power (1.20.0power1) unstable; urgency=low

  * New upstream release (BusyBox 1.20.0)
  * Apply BusyBox 1.20.0 hotfixes 

 -- Dennis Groenen <tj.groenen@gmail.com>  Fri, 27 Apr 2012 10:56:57 +0200

=== debian/control ===
--- 
+++ 
@@ -13,16 +13,18 @@
 XB-Maemo-Display-Name: Enhanced BusyBox shell
 Description: Tiny utilities for small and embedded systems - enhanced package
  BusyBox combines tiny versions of many common UNIX utilities into a
- single small executable. It is the default shell used in Maemo. This
- package overwrites the default BusyBox executable with the latest 
- upstream version. Also, this BusyBox is built with a lot more options/
- utilities enabled.
+ single small executable. It provides the default shell used in Maemo. This
+ package replaces the default BusyBox executable with the latest upstream
+ version. It also includes Maemo-specific bug fixes, a lot more utilities
+ and additional features (like Ctrl-R reverse history search, proper shell
+ history handling and swapon with priority support). 
+ .
+ Also see http://talk.maemo.org/showthread.php?t=72801.
  .
  This package won't overwrite any existing symlinks and binaries providing
  the same functionality (like GNU tar if installed/symlinked).
  .
- Extra utilities supported besides those which are already compiled in the
- default BusyBox shell:
+ Additional utilities provided over the default BusyBox package:
  bunzip2 bzcat bzip2 cpio cttyhack dnsdomainname dumpkmap ed fbset
  fdflush hush ip ipaddr iplink iproute iprule mountpoint mt nc
  pipe_progress popmaildir pscan usleep blockdev bootchartd crond

## busybox-power 1.20.1power1

=== debian/changelog ===
busybox-power (1.20.1power1) unstable; urgency=low

  * New upstream release (BusyBox 1.20.1)

 -- Dennis Groenen <tj.groenen@gmail.com>  Mon, 28 May 2012 11:00:29 +0200
